Subject: [bug#37988] why?

From: zimoun <[email-masked]>
Date: Fri, 21 Feb 2020 20:12:46 +0100

Hi Ricardo,

On Fri, 21 Feb 2020 at 19:39, Ricardo Wurmus <[email-masked]> wrote:

> > Why did you pushed your commits instead of mines?
> > Especially when they had not fallen in the crack.
> >
> > I sent them the October 30, 2019.
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37988
> >
> > And you commented them the same day:
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37988#26
> >
> > I modified one the November 5th, 2019:
> > https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37988#47
>
> Uh, that’s odd.  I remember working with your r-flow* patches.  I did
> not have my own versions of these patches.  I know this because I had
> not previously encountered flow cytometry.  (I don’t specifically
> remember r-rprotobuflib from this series.)

That's why I found weird the twist. :-)
I thought I did something unexpected and/or there was a special
motivation. And so my "why?". :-)

> My guess is that I wasn’t able to apply them cleanly, so I copy & pasted
> the diff, adjusted as needed, and then forgot to override the commit
> author before pushing :-(

> I’m very sorry to have messed up the authorship here.  This was
> definitely not intended :(

I am ok about the authorship; my salary does not depend on the number
of commits accepted. ;-)
The most important is that the packages end in Guix; who committed
them is less important.

Thanks,
simon